﻿@model IEnumerable<ALK.Models.AspNetUser>

@{
    ViewBag.Title = "Index";
}


<a href="@Url.Action("Index","ProductAdmin")" style="float:right;font-size:25px" class="btn btn-info">Product administration</a>
<a href="@Url.Action("Index","OrderAdmin")" style="float:right; margin-right:25px;font-size:25px" class="btn btn-info">Order administration</a>

<h2>User administration</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Email)
        </th>
        @*<th>
                @Html.DisplayNameFor(model => model.EmailConfirmed)
            </th>*@
        @*<th>
                @Html.DisplayNameFor(model => model.PasswordHash)
            </th>*@
        @*<th>
                @Html.DisplayNameFor(model => model.SecurityStamp)
            </th>*@
        @*<th>
                @Html.DisplayNameFor(model => model.PhoneNumber)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.PhoneNumberConfirmed)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.TwoFactorEnabled)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.LockoutEndDateUtc)
            </th>*@
        @*<th>
                @Html.DisplayNameFor(model => model.LockoutEnabled)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.AccessFailedCount)
            </th>*@
        <th>
            @Html.DisplayNameFor(model => model.UserName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.FirstName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.LastName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.BirthDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Phone)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Address)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.DisplayName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.DataFile.Name)
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Email)
            </td>
            @*<td>
                    @Html.DisplayFor(modelItem => item.EmailConfirmed)
                </td>*@
            @*<td>
                    @Html.DisplayFor(modelItem => item.PasswordHash)
                </td>*@
            @*<td>
                    @Html.DisplayFor(modelItem => item.SecurityStamp)
                </td>*@
            @*<td>
                    @Html.DisplayFor(modelItem => item.PhoneNumber)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.PhoneNumberConfirmed)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.TwoFactorEnabled)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.LockoutEndDateUtc)
                </td>*@
            @*<td>
                    @Html.DisplayFor(modelItem => item.LockoutEnabled)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.AccessFailedCount)
                </td>*@
            <td>
                @Html.DisplayFor(modelItem => item.UserName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.FirstName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.LastName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.BirthDate)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Phone)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Address)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.DisplayName)
            </td>
            <td>
                <img height="100" src="@Url.Action("Content", "My", new { id = item.PictureId })" />
            </td>

            <td>
                @Html.ActionLink("Edit", "Edit", new { id = item.Id }, new { @class = "btn btn-primary" })
                @Html.ActionLink("Details", "Details", new { id = item.Id }, new { @class = "btn btn-primary" })
                @Html.ActionLink("Delete", "Delete", new { id = item.Id }, new { @class = "btn btn-primary" })
            </td>
        </tr>
    }

</table>
